data:extend({

	{
    type = "furnace",
    name = "flare-stack",
    icon = "__CI-oil__/graphics/icons/flare_stack_icon.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "flare-stack"},
    max_health = 100,
    corpse = "medium-remnants",
    repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },
    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-stone-impact.ogg", volume = 1.0 },
    working_sound =
    {
      sound = { filename = "__base__/sound/oil-refinery.ogg", }
    },
    resistances =
    {
      {
        type = "fire",
        percent = 80
      },
      {
        type = "explosion",
        percent = 30
      }
    },
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-0.8, -1}, {0.8, 1}},
    crafting_categories = {"flare"},
    result_inventory_size = 1,
    energy_usage = "1kW",
    crafting_speed = 1,
    source_inventory_size = 1,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 10,
    },
	fluid_boxes =
    {
      {
        production_type = "input",
        --pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-0.5, 1.5} }}
      },
	},
    animation =
    {
      filename = "__CI-oil__/graphics/entity/flare-stack/flare_stack.png",
      priority = "extra-high",
      width = 256,
      height = 256,
      frame_count = 1,
      shift = {2.95, -2.9 }
    },
	working_visualisations =
    {
		{
        animation =
        {
          filename = "__base__/graphics/entity/oil-refinery/oil-refinery-fire.png",
          frame_count = 29,
          width = 16,
          height = 35,
          scale = 2.5,
          shift = {-0.04, -7.45},
          run_mode="backward"
        },
        light = {intensity = 1, size = 32}
		}
    }
  },
  
  {
    type = "item",
    name = "flare-stack",
    icon = "__CI-oil__/graphics/icons/flare_stack_icon.png",
    flags = {"goes-to-quickbar"},
    subgroup = "production-machine",
    order = "b[assembling-machine-2]",
    place_result = "flare-stack",
    stack_size = 10
  },
  
  {
    type = "recipe",
    name = "flare-stack",
    energy_required = 5,
    ingredients =
    {
      {"steel-furnace", 1},
	  {"steel-plate", 4},
      {"electronic-circuit", 2},
      {"pipe", 10}
    },
    result = "flare-stack",
    enabled = false
  },

})