require("config")

data:extend({
	{
		type = "recipe",
		name = "advanced-oil-processing",
		category = "distillation",
		icon = "__base__/graphics/icons/fluid/advanced-oil-processing.png",
		enabled = false,
		energy_required = 25,
		ingredients =
		{
			{type="fluid", name="crude-oil", amount=50},
			{type="fluid", name="water", amount=10}
			
		},
		results = 
		{
			{type="fluid", name="natural-gas", amount=15},
			{type="fluid", name="naphtha", amount=25},
			{type="fluid", name="gas-oil", amount=10},
			--{type="fluid", name="residuum", amount=10}
		},
		subgroup = "fluid-recipes",
		order = "a[oil-processing]-b[advanced-oil-processing]"
	},
	
	{
		type = "recipe",
		name = "gas-distillation",
		category = "distillation",
		icon = "__CI-oil__/graphics/icons/raw-seperation-3.png",
		enabled = false,
		energy_required = 10,
		ingredients =
		{
			{type="fluid", name="natural-gas", amount=10}
		},
		results =
		{
			{type="fluid", name="alkanes", amount=10},
			{type="fluid", name="H2S", amount=1},
			{type="fluid", name="exhaust", amount=1}
		},
		subgroup = "fluid-recipes",
		order = "a[oil-processing]-c[gas-distillation]"
	},
	
	{
		type = "recipe",
		name = "naphtha-cracking",
		category = "steam-cracking",
		icon = "__base__/graphics/icons/fluid/light-oil.png",
		enabled = false,
		energy_required = 5,
		ingredients =
		{
			{type="fluid", name="naphtha", amount=1},
			{type="fluid", name="water", amount=2}
		},
		results =
		{
			{type="fluid", name="light-oil", amount=1.2}
		},
		subgroup = "fluid-recipes",
		order = "a[oil-processing]-d[naphtha-cracking]"
	},
	
	{
		type = "recipe",
		name = "gas-oil-cracking",
		category = "chemistry",
		--category = "catalytic-cracking",
		icon = "__base__/graphics/icons/fluid/heavy-oil.png",
		enabled = false,
		energy_required = 2.5,
		ingredients =
		{
			{type="fluid", name="gas-oil", amount=1}
		},
		results =
		{
			{type="fluid", name="heavy-oil", amount=1}
		},
		subgroup = "fluid-recipes",
		order = "a[oil-processing]-e[gas-oil-cracking]"
	},
	
	{
		type = "recipe",
		name = "alkanes-steam-cracking",
		category = "steam-cracking",
		icon = "__base__/graphics/icons/fluid/petroleum-gas.png",
		enabled = false,
		energy_required = 10,
		ingredients =
		{
			{type="fluid", name="alkanes", amount=2.5},
			{type="fluid", name="water", amount=1}
		},
		results =
		{
			{type="fluid", name="petroleum-gas", amount=3}
		},
		subgroup = "fluid-recipes",
		order = "a[oil-processing]-f[alkanes-steam-cracking]"
	},

	{
		type = "recipe",
		name = "exhaust-flaring",
		category = "flare",
		icon = "__CI-oil__/graphics/icons/void.png",
		enabled = true,
		hidden = true,
		energy_required = 10,
		ingredients =
		{
			{type="fluid", name="exhaust", amount=1}
		},
		results = {
			{type="item", name="void", amount=1, probability=0},
		},
		subgroup = "fluid-recipes",
		order = "b[oil-processing]-z[exhaust]"
	},
	
	{
		type = "recipe",
		name = "water-electrolysis",
		category = "electrolysis",
		icon = "__CI-oil__/graphics/icons/raw-seperation-4.png",
		enabled = false,
		hidden = false,
		energy_required = 10,
		ingredients =
		{
			{type="fluid", name="water", amount=2}
		},
		results = {
			{type="fluid", name="hydrogen", amount=2},
			{type="fluid", name="oxygen", amount=1}
		},
		subgroup = "fluid-recipes",
		order = "b[oil-processing]-a[exhaust]"
	},
	
	{
		type = "recipe",
		name = "h2s-h2so4",
		category = "chemistry",
		icon = "__CI-oil__/graphics/icons/solid-sulfur.png",
		enabled = false,
		hidden = false,
		energy_required = 10,
		ingredients =
		{
			{type="fluid", name="H2S", amount=3},
			{type="fluid", name="sulfuric-acid", amount=1}
		},
		results = {
			{type="item", name="sulfur", amount=4},
			{type="fluid", name="water", amount=4}
		},
		subgroup = "fluid-recipes",
		order = "c[sulfur-processing]-a[sulfur]"
	},
	
	{
		type = "recipe",
		name = "oxygen-compressing",
		category = "compressing",
		icon = "__CI-oil__/graphics/icons/gas-oxygen.png",
		enabled = false,
		hidden = false,
		energy_required = 3,
		ingredients= {},		
		results = {
			{type="fluid", name="oxygen", amount=1},
		},
		subgroup = "fluid-recipes",
		order = "d[compressing]-a[oxygen]"
	},
})