data:extend({
  {
    type = "assembling-machine",
    name = "steam-cracker-small",
    icon = "__CI-oil__/graphics/icons/steam_cracker_small_icon.png",
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 1, result = "steam-cracker-small"},
    max_health = 300,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1, -1}, {1, 1}},
    module_specification =
    {
      module_slots = 2
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    crafting_categories = {"steam-cracking"},
    crafting_speed = 1,
    has_backer_name = false,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.03,
	  smoke =
      {
        {
          name = "smoke",
          frequency = 10,
          position = {0.7, -1.2},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    },
    energy_usage = "100kW",
    ingredient_count = 2,
    animation =
    {       
        filename = "__CI-oil__/graphics/entity/steam cracker/steam_cracker_small.png",
        width = 200,
        height = 200,
        frame_count = 1,
        shift = {1.75, -1.55}
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-furnace.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-0.5, 1.5} }}
      },
	  {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0.5, 1.5} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {-0.5, -1.5} }}
      },
	},
    pipe_covers = pipecoverspictures()
  },

  {
    type = "item",
    name = "steam-cracker-small",
    icon = "__CI-oil__/graphics/icons/steam_cracker_small_icon.png",
    flags = {"goes-to-quickbar"},
    subgroup = "production-machine",
    order = "b[assembling-machine-2]",
    place_result = "steam-cracker-small",
    stack_size = 10
  },
  
  {
    type = "recipe",
    name = "steam-cracker-small",
    energy_required = 10,
    ingredients =
    {
      {"steel-furnace", 2},
      {"stone-brick", 5},
      {"electronic-circuit", 10},
      {"pipe", 10}
    },
    result = "steam-cracker-small",
    enabled = false
  },
})