data:extend({
  {
    type = "assembling-machine",
    name = "steam-reformer",
    icon = "__CI-oil__/graphics/icons/steam_reformer_icon.png",
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 2, result = "steam-reformer"},
    max_health = 500,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-4.4, -4.4}, {4.4, 4.4}},
    selection_box = {{-4.5, -4.5}, {4.5, 4.5}},
	--[[fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {1, 2} }}
      },
	  {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-1, 2} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {0, -2} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {-2, -2} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {2, -2} }}
      },
    },
    pipe_covers = pipecoverspictures(),]]
    module_specification =
    {
      module_slots = 2
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    crafting_categories = {"steam-reforming"},
    crafting_speed = 1,
    has_backer_name = true,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.03
    },
    energy_usage = "350kW",
    ingredient_count = 2,
    animation =
    {       
        filename = "__CI-oil__/graphics/entity/steam-reformer/steam_reformer.png",
        width = 500,
        height = 400,
        frame_count = 1,
        shift = {2.8, 0.1}
    },
    working_visualisation =
    {
      {
        --[[north_position = {1.03125, -1.55},
        east_position = {-1.65625, -1.3},
        south_position = {-1.875, -2.0},
        west_position = {1.8437, -1.2},]]
        animation =
        {
          filename = "__base__/graphics/entity/oil-refinery/oil-refinery-fire.png",
          frame_count = 29,
          width = 16,
          height = 35,
          scale = 1.5,
          shift = {0, -0.5625},
          run_mode="backward"
        },
        light = {intensity = 0.4, size = 6}
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__base__/sound/oil-refinery.ogg" },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 2.5,
    },
    
  },

  {
    type = "item",
    name = "steam-reformer",
    icon = "__CI-oil__/graphics/icons/steam_reformer_icon.png",
    flags = {"goes-to-quickbar"},
    subgroup = "production-machine",
    order = "b[assembling-machine-2]",
    place_result = "steam-reformer",
    stack_size = 10
  },
  
  {
    type = "recipe",
    name = "steam-reformer",
    energy_required = 20,
    ingredients =
    {
      {"steel-plate", 20},
      {"iron-plate", 20},
	  {"copper-plate", 20},
      {"pipe", 40}
    },
    result = "steam-reformer",
    enabled = true
  },
})